Debian Bug report logs - #390966
removal horribly broken

version graph

Package: libgcj-common; Maintainer for libgcj-common is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for libgcj-common is src:gcc-defaults.

Reported by: Ryan Murray <rmurray@debian.org>

Date: Wed, 4 Oct 2006 03:18:02 UTC

Severity: grave

Fixed in versions gcj-4.1/4.1.1-15j1, gcc-4.1/4.1.1ds1-16

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#390966; Package ecj-bootstrap-gcj. Full text and rfc822 format available.

Acknowledgement sent to Ryan Murray <rmurray@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: removal horribly broken
Date: Tue, 03 Oct 2006 20:10:17 -0700
Package: ecj-bootstrap-gcj
Version: 3.2.1-1
Severity: grave

upon removal of ecj-bootstrap-gcj, find starts recursing down / (with
errors), I'm thinking due to the find call in rebuild_db() of
rebuild-gcj-db.  This happened while attemping to dpkg -P all of the build
depends of openoffice.org that aren't build-essential.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Bug reassigned from package `ecj-bootstrap-gcj' to `libgcj-common'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ryan Murray <rmurray@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 390966-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 390966-close@bugs.debian.org
Subject: Bug#390966: fixed in gcj-4.1 4.1.1-15j1
Date: Thu, 05 Oct 2006 05:17:49 -0700
Source: gcj-4.1
Source-Version: 4.1.1-15j1

We believe that the bug you reported is fixed in the latest version of
gcj-4.1, which is due to be installed in the Debian FTP archive:

gappletviewer-4.1_4.1.1-15j1_hppa.deb
  to pool/main/g/gcj-4.1/gappletviewer-4.1_4.1.1-15j1_hppa.deb
gappletviewer-4.1_4.1.1-15j1_i386.deb
  to pool/main/g/gcj-4.1/gappletviewer-4.1_4.1.1-15j1_i386.deb
gappletviewer-4.1_4.1.1-15j1_powerpc.deb
  to pool/main/g/gcj-4.1/gappletviewer-4.1_4.1.1-15j1_powerpc.deb
gcj-4.1-base_4.1.1-15j1_hppa.deb
  to pool/main/g/gcj-4.1/gcj-4.1-base_4.1.1-15j1_hppa.deb
gcj-4.1-base_4.1.1-15j1_i386.deb
  to pool/main/g/gcj-4.1/gcj-4.1-base_4.1.1-15j1_i386.deb
gcj-4.1-base_4.1.1-15j1_powerpc.deb
  to pool/main/g/gcj-4.1/gcj-4.1-base_4.1.1-15j1_powerpc.deb
gcj-4.1_4.1.1-15j1.diff.gz
  to pool/main/g/gcj-4.1/gcj-4.1_4.1.1-15j1.diff.gz
gcj-4.1_4.1.1-15j1.dsc
  to pool/main/g/gcj-4.1/gcj-4.1_4.1.1-15j1.dsc
gcj-4.1_4.1.1-15j1_hppa.deb
  to pool/main/g/gcj-4.1/gcj-4.1_4.1.1-15j1_hppa.deb
gcj-4.1_4.1.1-15j1_i386.deb
  to pool/main/g/gcj-4.1/gcj-4.1_4.1.1-15j1_i386.deb
gcj-4.1_4.1.1-15j1_powerpc.deb
  to pool/main/g/gcj-4.1/gcj-4.1_4.1.1-15j1_powerpc.deb
gij-4.1_4.1.1-15j1_hppa.deb
  to pool/main/g/gcj-4.1/gij-4.1_4.1.1-15j1_hppa.deb
gij-4.1_4.1.1-15j1_i386.deb
  to pool/main/g/gcj-4.1/gij-4.1_4.1.1-15j1_i386.deb
gij-4.1_4.1.1-15j1_powerpc.deb
  to pool/main/g/gcj-4.1/gij-4.1_4.1.1-15j1_powerpc.deb
libgcj-common_4.1.1-15j1_all.deb
  to pool/main/g/gcj-4.1/libgcj-common_4.1.1-15j1_all.deb
libgcj-doc_4.1.1-15j1_all.deb
  to pool/main/g/gcj-4.1/libgcj-doc_4.1.1-15j1_all.deb
libgcj7-0_4.1.1-15j1_hppa.deb
  to pool/main/g/gcj-4.1/libgcj7-0_4.1.1-15j1_hppa.deb
libgcj7-0_4.1.1-15j1_i386.deb
  to pool/main/g/gcj-4.1/libgcj7-0_4.1.1-15j1_i386.deb
libgcj7-0_4.1.1-15j1_powerpc.deb
  to pool/main/g/gcj-4.1/libgcj7-0_4.1.1-15j1_powerpc.deb
libgcj7-awt_4.1.1-15j1_hppa.deb
  to pool/main/g/gcj-4.1/libgcj7-awt_4.1.1-15j1_hppa.deb
libgcj7-awt_4.1.1-15j1_i386.deb
  to pool/main/g/gcj-4.1/libgcj7-awt_4.1.1-15j1_i386.deb
libgcj7-awt_4.1.1-15j1_powerpc.deb
  to pool/main/g/gcj-4.1/libgcj7-awt_4.1.1-15j1_powerpc.deb
libgcj7-dbg_4.1.1-15j1_hppa.deb
  to pool/main/g/gcj-4.1/libgcj7-dbg_4.1.1-15j1_hppa.deb
libgcj7-dbg_4.1.1-15j1_i386.deb
  to pool/main/g/gcj-4.1/libgcj7-dbg_4.1.1-15j1_i386.deb
libgcj7-dbg_4.1.1-15j1_powerpc.deb
  to pool/main/g/gcj-4.1/libgcj7-dbg_4.1.1-15j1_powerpc.deb
libgcj7-dev_4.1.1-15j1_hppa.deb
  to pool/main/g/gcj-4.1/libgcj7-dev_4.1.1-15j1_hppa.deb
libgcj7-dev_4.1.1-15j1_i386.deb
  to pool/main/g/gcj-4.1/libgcj7-dev_4.1.1-15j1_i386.deb
libgcj7-dev_4.1.1-15j1_powerpc.deb
  to pool/main/g/gcj-4.1/libgcj7-dev_4.1.1-15j1_powerpc.deb
libgcj7-jar_4.1.1-15j1_all.deb
  to pool/main/g/gcj-4.1/libgcj7-jar_4.1.1-15j1_all.deb
libgcj7-src_4.1.1-15j1_all.deb
  to pool/main/g/gcj-4.1/libgcj7-src_4.1.1-15j1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 390966@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcj-4.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  3 Oct 2006 16:08:10 +0200
Source: gcj-4.1
Binary: libgcj-doc lib64gcj7-0 lib32gcj7-dev libgcj7-awt libgcj7-0 libgcj-common libgcj7-jar gij-4.1 gappletviewer-4.1 libgcj7-dev libgcj7-src gcjwebplugin-4.1 gcj-4.1-base gcj-4.1 lib32gcj7-dbg libgcj7-dbg lib32gcj7-0
Architecture: all hppa i386 powerpc source 
Version: 4.1.1-15j1
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 gappletviewer-4.1 - Standalone application to execute Java (tm) applets
 gcj-4.1    - The GNU compiler for Java(TM)
 gcj-4.1-base - The GNU Compiler Collection (gcj base package)
 gij-4.1    - The GNU Java bytecode interpreter
 libgcj7-0  - Java runtime library for use with gcj
 libgcj7-awt - AWT peer runtime libraries for use with gcj
 libgcj7-dbg - Debugging symbols for libraries provided in libgcj7-dev
 libgcj7-dev - Java development headers and static library for use with gcj
Closes: 390425 390532 390874 390966
Changes: 
 gcj-4.1 (4.1.1-15j1) unstable; urgency=low
 .
   * libgcj7-0: Fix package removal. Closes: #390874.
   * On hppa, remove build-dependency on dash.
   * gij/gcj: Do not install slave links for the non DFSG manpages.
     Closes: 390425, #390532.
   * libgcj-common: rebuild-gcj-db: Don't do anything, if no classmap
     files are found. Closes: #390966.
Files: 
 05afcd56cd9f682ee65c6f05bba983df 16826 utils optional gappletviewer-4.1_4.1.1-15j1_hppa.deb
 0f52754df735101e83cec2bd8f6e0cae 89546 libs optional gcj-4.1-base_4.1.1-15j1_hppa.deb
 1de801f0cf852397cfb21a640c20ceb1 84204 libs optional libgcj7-awt_4.1.1-15j1_powerpc.deb
 23a6d0bab57dcf2ee64b2d5221bbbdd3 22600 devel optional gij-4.1_4.1.1-15j1_hppa.deb
 3654c40e47b57dd5abe42a8a5821466d 10547062 libdevel extra libgcj7-dbg_4.1.1-15j1_i386.deb
 4a4f48c5d541046caaa0808fe6875310 13037142 libdevel optional libgcj7-dev_4.1.1-15j1_i386.deb
 89629b632f0f60a0788e180b4effb59b 2614 devel standard gcj-4.1_4.1.1-15j1.dsc
 4ef49c68968cb6d07cb6596a52eb5bf7 17310554 libdevel optional libgcj7-dev_4.1.1-15j1_hppa.deb
 589cf54882289028bc805ce4ab0ebc5b 40629486 doc optional libgcj-doc_4.1.1-15j1_all.deb
 60a842829fc327dfce6eba02838cecfe 15252966 libdevel optional libgcj7-dev_4.1.1-15j1_powerpc.deb
 6266ef6a54d3f05913fb39c73313d4e2 80184 libs optional libgcj7-awt_4.1.1-15j1_i386.deb
 66f06d9e03a08d7ffdab384e590beae3 11324622 libdevel extra libgcj7-dbg_4.1.1-15j1_powerpc.deb
 70ae262de5e397185962e0bd1c091f51 20612 devel optional gij-4.1_4.1.1-15j1_i386.deb
 7876010004f64289b56cdde9ca29c374 12064072 libdevel extra libgcj7-dbg_4.1.1-15j1_hppa.deb
 78835ff460622d39a9623ca6651ac863 3021554 devel optional gcj-4.1_4.1.1-15j1_powerpc.deb
 7ecc4c661e9fa4386dc2f497495bf9bb 25490 devel optional gij-4.1_4.1.1-15j1_powerpc.deb
 89a9a2763c4a4af39610970ae3f0ffb1 9030612 libs optional libgcj7-0_4.1.1-15j1_i386.deb
 8a5c3720a533463751a982a8600d0f39 9947378 libs optional libgcj7-0_4.1.1-15j1_powerpc.deb
 988987f7d6df59ab57d0788600feec7a 12589698 libs optional libgcj7-0_4.1.1-15j1_hppa.deb
 9917e004c99d68759148e122d0cb2a28 98370 libs optional libgcj7-awt_4.1.1-15j1_hppa.deb
 a06bb679ab2419776718ab59a891b166 2772682 devel optional gcj-4.1_4.1.1-15j1_i386.deb
 b55b8e7e183c067bdaa781f87688c715 13902 utils optional gappletviewer-4.1_4.1.1-15j1_i386.deb
 b672ae348ddb9b52556de701374a8d94 3202 libs optional libgcj-common_4.1.1-15j1_all.deb
 c0b2e075838e8d61c7f2aca2776ccdc9 11307960 libdevel optional libgcj7-src_4.1.1-15j1_all.deb
 c0d0a72a7a61a426034b2de17f1d1e2f 2630726 devel optional gcj-4.1_4.1.1-15j1_hppa.deb
 c348c7ba2075c8cadab62d28b384981c 89636 libs optional gcj-4.1-base_4.1.1-15j1_powerpc.deb
 cbfb449a003b963e42478cdab632e146 17382 utils optional gappletviewer-4.1_4.1.1-15j1_powerpc.deb
 d1cabd7967b41bb18d04cc40a892a17a 6964903 devel standard gcj-4.1_4.1.1-15j1.diff.gz
 f00fbc7788d2fceae2cdad900e1581b6 89620 libs optional gcj-4.1-base_4.1.1-15j1_i386.deb
 f496c2caa4e017007bc07c2ceb3a782c 7897006 libs optional libgcj7-jar_4.1.1-15j1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFFI++OStlRaw+TLJwRAqomAJ4sRYfWduwxL+T9oHSy+3Hf3a0WYQCgosL/
m3sM8SOblnANYDxg9C6dVV4=
=m8Aq
-----END PGP SIGNATURE-----




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ryan Murray <rmurray@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 390966-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 390966-close@bugs.debian.org
Subject: Bug#390966: fixed in gcc-4.1 4.1.1ds1-16
Date: Sun, 08 Oct 2006 03:47:40 -0700
Source: gcc-4.1
Source-Version: 4.1.1ds1-16

We believe that the bug you reported is fixed in the latest version of
gcc-4.1, which is due to be installed in the Debian FTP archive:

cpp-4.1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-16_i386.deb
cpp-4.1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-16_powerpc.deb
fastjar_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-16_i386.deb
fastjar_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-16_powerpc.deb
fixincludes_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-16_i386.deb
fixincludes_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-16_powerpc.deb
g++-4.1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-16_i386.deb
g++-4.1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-16_powerpc.deb
gcc-4.1-base_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-16_i386.deb
gcc-4.1-base_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-16_powerpc.deb
gcc-4.1-locales_4.1.1-16_all.deb
  to pool/main/g/gcc-4.1/gcc-4.1-locales_4.1.1-16_all.deb
gcc-4.1-source_4.1.1-16_all.deb
  to pool/main/g/gcc-4.1/gcc-4.1-source_4.1.1-16_all.deb
gcc-4.1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-16_i386.deb
gcc-4.1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-16_powerpc.deb
gcc-4.1_4.1.1ds1-16.diff.gz
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1ds1-16.diff.gz
gcc-4.1_4.1.1ds1-16.dsc
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1ds1-16.dsc
gfortran-4.1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-16_i386.deb
gfortran-4.1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-16_powerpc.deb
gobjc++-4.1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-16_i386.deb
gobjc++-4.1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-16_powerpc.deb
gobjc-4.1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-16_i386.deb
gobjc-4.1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-16_powerpc.deb
lib64ffi4_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/lib64ffi4_4.1.1-16_i386.deb
lib64ffi4_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/lib64ffi4_4.1.1-16_powerpc.deb
lib64gcc1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/lib64gcc1_4.1.1-16_i386.deb
lib64gcc1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/lib64gcc1_4.1.1-16_powerpc.deb
lib64gfortran1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/lib64gfortran1_4.1.1-16_i386.deb
lib64gfortran1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/lib64gfortran1_4.1.1-16_powerpc.deb
lib64mudflap0_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/lib64mudflap0_4.1.1-16_i386.deb
lib64mudflap0_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/lib64mudflap0_4.1.1-16_powerpc.deb
lib64objc1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/lib64objc1_4.1.1-16_i386.deb
lib64objc1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/lib64objc1_4.1.1-16_powerpc.deb
lib64ssp0_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/lib64ssp0_4.1.1-16_i386.deb
lib64ssp0_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/lib64ssp0_4.1.1-16_powerpc.deb
lib64stdc++6-4.1-dbg_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/lib64stdc++6-4.1-dbg_4.1.1-16_i386.deb
lib64stdc++6-4.1-dbg_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/lib64stdc++6-4.1-dbg_4.1.1-16_powerpc.deb
lib64stdc++6_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/lib64stdc++6_4.1.1-16_i386.deb
lib64stdc++6_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/lib64stdc++6_4.1.1-16_powerpc.deb
libffi4-dev_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-16_i386.deb
libffi4-dev_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-16_powerpc.deb
libffi4_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-16_i386.deb
libffi4_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-16_powerpc.deb
libgcc1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libgcc1_4.1.1-16_i386.deb
libgcc1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libgcc1_4.1.1-16_powerpc.deb
libgfortran1-dev_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-16_i386.deb
libgfortran1-dev_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-16_powerpc.deb
libgfortran1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-16_i386.deb
libgfortran1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-16_powerpc.deb
libmudflap0-dev_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-16_i386.deb
libmudflap0-dev_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-16_powerpc.deb
libmudflap0_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-16_i386.deb
libmudflap0_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-16_powerpc.deb
libobjc1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-16_i386.deb
libobjc1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-16_powerpc.deb
libssp0_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libssp0_4.1.1-16_i386.deb
libssp0_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libssp0_4.1.1-16_powerpc.deb
libstdc++6-4.1-dbg_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-16_i386.deb
libstdc++6-4.1-dbg_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-16_powerpc.deb
libstdc++6-4.1-dev_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-16_i386.deb
libstdc++6-4.1-dev_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-16_powerpc.deb
libstdc++6-4.1-doc_4.1.1-16_all.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-doc_4.1.1-16_all.deb
libstdc++6-4.1-pic_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-16_i386.deb
libstdc++6-4.1-pic_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-16_powerpc.deb
libstdc++6_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-16_i386.deb
libstdc++6_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-16_powerpc.deb
protoize_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-16_i386.deb
protoize_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-16_powerpc.deb
treelang-4.1_4.1.1-16_i386.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-16_i386.deb
treelang-4.1_4.1.1-16_powerpc.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-16_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 390966@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  8 Oct 2006 02:21:49 +0200
Source: gcc-4.1
Binary: gcc-4.1-soft-float libstdc++6-4.1-pic libstdc++6 lib32ffi4 libobjc1 lib32gfortran1 gfortran-4.1 libgcc1 libstdc++6-4.1-doc lib64gfortran1 libgfortran1-dev libgcc2 lib64stdc++6-4.1-dbg g++-4.1 protoize gcc-4.1-base cpp-4.1 lib64stdc++6 gobjc++-4.1 libffi4 lib64ssp0 libstdc++6-4.1-dbg lib64ffi4 libgfortran1 lib32gcc1 libssp0 gcc-4.1-source libgcc4 lib64objc1 gobjc-4.1 gcc-4.1 lib32objc1 lib32stdc++6-4.1-dbg libstdc++6-4.1-dev libffi4-dev gcc-4.1-locales lib32mudflap0 treelang-4.1 lib64gcc1 fastjar fixincludes libmudflap0-dev lib32stdc++6 libmudflap0 lib32ssp0 lib64mudflap0 gcc-4.1-hppa64
Architecture: all i386 powerpc source 
Version: 4.1.1ds1-16
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.1    - The GNU C preprocessor
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-4.1    - The GNU C++ compiler
 gcc-4.1    - The GNU C compiler
 gcc-4.1-base - The GNU Compiler Collection (base package)
 gfortran-4.1 - The GNU Fortran 95 compiler
 gobjc++-4.1 - The GNU Objective-C++ compiler
 gobjc-4.1  - The GNU Objective-C compiler
 lib64ffi4  - Foreign Function Interface library runtime (64bit)
 lib64gcc1  - GCC support library (64bit)
 lib64gfortran1 - Runtime library for GNU Fortran applications (64bit)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64objc1 - Runtime library for GNU Objective-C applications (64bit)
 lib64ssp0  - GCC stack smashing protection library (64bit)
 lib64stdc++6 - The GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.1-dbg - The GNU Standard C++ Library v3 (debugging files)
 libffi4    - Foreign Function Interface library runtime
 libffi4-dev - Foreign Function Interface library (development files)
 libgcc1    - GCC support library
 libgfortran1 - Runtime library for GNU Fortran applications
 libgfortran1-dev - GNU Fortran library development
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-dev - GCC mudflap support libraries (development files)
 libobjc1   - Runtime library for GNU Objective-C applications
 libssp0    - GCC stack smashing protection library
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.1-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.1-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.1-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-4.1 - The GNU Treelang compiler
Closes: 366094 387561 388263 390425 390532 390693 390874 390966 391268
Changes: 
 gcc-4.1 (4.1.1ds1-16) unstable; urgency=low
 .
   [Matthias Klose]
   * Update to SVN 20061008.
     - Fix PR c++/29226, ICE in make_decl_rtl. Closes: #388263.
   * libgcj7-0: Fix package removal. Closes: #390874.
   * Configure with --disable-libssp on architectures that don't
     support it (alpha, hppa, ia64, m68k, mips, mipsel).
   * On hppa, remove build-dependency on dash.
   * gij/gcj: Do not install slave links for the non DFSG manpages.
     Closes: #390425, #390532.
   * libgcj-common: rebuild-gcj-db: Don't do anything, if no classmap
     files are found. Closes: #390966.
   * Fix PR libstdc++/11953, extended for all linux architectures.
     Closes: #391268.
   * libffi4-dev: Conflict with libffi. Closes: #387561.
   * Backport PR target/27880 to the gcc-4_1-branch. Patch by Steve Ellcey.
     Closes: #390693.
   * On ia64, don't use _Unwind_GetIPInfo in libjava and libstdc++.
   * Add a README.ssp with minimal documentation about stack smashing
     protection. Closes: #366094.
   * Do not build libgcj-common from the gcc-4.1/gcj-4.1 sources anymore.
 .
   [Roman Zippel]
   * debian/patches/m68k-notice-move.dpatch: Don't set cc_status
     for fp move without fp register.
Files: 
 010961ed5f31f7259660de6c051001a9 183480 libs optional lib64gfortran1_4.1.1-16_i386.deb
 03e722fb6dbe46d70a7d79245edcf8e7 144510 devel optional fastjar_4.1.1-16_i386.deb
 040fc1e93e45885e5574bf0e9b3a6baa 1706828 libdevel standard libstdc++6-4.1-dev_4.1.1-16_powerpc.deb
 0424e529013990e3ff866d8ad0e5fddd 167896 libs optional libmudflap0_4.1.1-16_i386.deb
 0e4e8b8d41f87173392bebcee80915ea 159942 libs optional libgfortran1_4.1.1-16_i386.deb
 141b86e13cb2bd1f1e8339970e203f99 2745132 devel optional gfortran-4.1_4.1.1-16_powerpc.deb
 19c91203a6e08345448e0a4f32f3d523 1201496 libdevel extra lib64stdc++6-4.1-dbg_4.1.1-16_i386.deb
 1afec181373e6b78c466c1b43c5951a1 2766908 devel optional gobjc++-4.1_4.1.1-16_powerpc.deb
 1edfa3ddd27814dd24d7752ac6c257c9 7348270 doc optional libstdc++6-4.1-doc_4.1.1-16_all.deb
 1fe8e3c51cf89d3d8224262cfc2024ae 5732 libs optional lib64ssp0_4.1.1-16_powerpc.deb
 227a0c7899d7041f88e376a62b95be6b 1281796 libdevel extra lib64stdc++6-4.1-dbg_4.1.1-16_powerpc.deb
 25a5967e6b1a917f7156e79045594b85 2524042 devel optional gobjc++-4.1_4.1.1-16_i386.deb
 2d51477134c500e7c547f1e6a02e8ed5 43801040 devel optional gcc-4.1-source_4.1.1-16_all.deb
 2e8cdfb2011b5a6980e9e446994feb57 2649214 devel optional gobjc-4.1_4.1.1-16_powerpc.deb
 2fa3f3f740c86c01388e9870548e8d53 196892 libs required gcc-4.1-base_4.1.1-16_powerpc.deb
 32533ce2c554b04b73f3fd60202e0200 20888 libdevel optional libffi4-dev_4.1.1-16_i386.deb
 32fb15076506440b98d782f385cb9fd0 90958 libs optional lib64mudflap0_4.1.1-16_i386.deb
 342e0c715cd8553da7ca11f2b013d962 139986 libs optional libobjc1_4.1.1-16_i386.deb
 3880e01e3323c5fcdd58ebc31929d74c 79516 devel optional fixincludes_4.1.1-16_powerpc.deb
 39a81e1e06ef9b08fe2e74c0915a440a 1438840 devel optional gcc-4.1-locales_4.1.1-16_all.deb
 3f06eab9a560d0b756b55f70fa33fb3b 135436 libs optional libgfortran1_4.1.1-16_powerpc.deb
 4f4ac2c3e2aaefd4dc873cb825c5d583 2167080 devel optional treelang-4.1_4.1.1-16_i386.deb
 4f5e89adbf7e2bdef81d033d1253d185 4494 libs standard libssp0_4.1.1-16_i386.deb
 507209fd635e4c5af00f3f31ee8e0df5 31354 libs optional lib64gcc1_4.1.1-16_powerpc.deb
 52d35135116342e5380026c2005d5f3e 291528 libs optional lib64stdc++6_4.1.1-16_i386.deb
 5508d7146c5353fd6a1d6fc5b29e643f 7482 libs optional lib64ffi4_4.1.1-16_i386.deb
 64fb5a5992cfd055a5e1b345aa3e93b7 2401532 devel optional gobjc-4.1_4.1.1-16_i386.deb
 67f882de3499d8f0e136467327351075 2329358 interpreters standard cpp-4.1_4.1.1-16_i386.deb
 741b03e81f6d9ce2ea14048d8560958e 3718094 libdevel extra libstdc++6-4.1-dbg_4.1.1-16_i386.deb
 790c13c2a72e72ee50d7c641052c720a 51492 libs optional lib64objc1_4.1.1-16_powerpc.deb
 7a1f41bb1b29b3352584a05d5ee8cded 492788 devel standard gcc-4.1_4.1.1-16_powerpc.deb
 7abad69b61cb6f2bb1cfbcc21afaad60 2612016 devel standard g++-4.1_4.1.1-16_i386.deb
 7c0bc6f53fd122e210cdec8599c8ae86 46760 devel optional protoize_4.1.1-16_powerpc.deb
 7ca8fce857ee3b383fc9dc859a602589 107154 libs optional libffi4_4.1.1-16_i386.deb
 7f6d54d62b1c637dc9c505ee7e47bdeb 197312 libdevel optional libmudflap0-dev_4.1.1-16_i386.deb
 802a1cbb2b576a8180f8c6dca882c709 457400 devel standard gcc-4.1_4.1.1-16_i386.deb
 843e3fb8f757ae55927444585b352e5e 43196 libs optional lib64objc1_4.1.1-16_i386.deb
 859a9e46abb0aacb5774f902aa9812aa 21452 libs required libgcc1_4.1.1-16_i386.deb
 932fc393f20fa0f1c306a94ba0c0e67d 6989741 devel standard gcc-4.1_4.1.1ds1-16.diff.gz
 9481fda0e0aa24a33747d9efdeda9eb1 225302 libdevel optional libmudflap0-dev_4.1.1-16_powerpc.deb
 94ae26bf76929bcca69bc696e8bb0965 24052 libdevel optional libffi4-dev_4.1.1-16_powerpc.deb
 9641630ba39a5a644bfec22520a30ad5 4884 libs standard libssp0_4.1.1-16_powerpc.deb
 992b9f9b26c12c480424b9c13c33ec18 24496 libs optional lib64gcc1_4.1.1-16_i386.deb
 9b3e7e290e0d6213eeaa884b47445b58 2859362 devel standard g++-4.1_4.1.1-16_powerpc.deb
 a00bf8329a4b9f740bd3d5967ee54703 8848 libs optional lib64ffi4_4.1.1-16_powerpc.deb
 aabaab3d501d54193fdb109440471b47 34100 libs required libgcc1_4.1.1-16_powerpc.deb
 ad47959fbf8bc604882d36d77e256064 176526 libs optional libmudflap0_4.1.1-16_powerpc.deb
 ba8bc3f3200672452a639e26b862984f 149314 devel optional fastjar_4.1.1-16_powerpc.deb
 bd516fe3ddbffe06b50fb1578fe07349 1623714 libdevel standard libstdc++6-4.1-dev_4.1.1-16_i386.deb
 c0bf95ec5498ba14d2cf423ed98abd89 975268 libdevel extra libstdc++6-4.1-pic_4.1.1-16_powerpc.deb
 c4391f45f2a4425703ec7d3a0edfaee7 3880492 libdevel extra libstdc++6-4.1-dbg_4.1.1-16_powerpc.deb
 c824a92d31fbda5c897aca57e93ccd1e 2510290 devel optional gfortran-4.1_4.1.1-16_i386.deb
 cc760af8e0a3e5a3bc02940ea8f98086 330794 libs optional lib64stdc++6_4.1.1-16_powerpc.deb
 ed58218f96c557deee540e4fe19658f9 2407 devel standard gcc-4.1_4.1.1ds1-16.dsc
 d45e98ac2da9799e933a1d5246e83c89 2381850 devel optional treelang-4.1_4.1.1-16_powerpc.deb
 d739677539d26f85a7e940410aceac8f 196842 libs required gcc-4.1-base_4.1.1-16_i386.deb
 dd5b2bac585ee7c412a2e5378b1e5e67 167908 libs optional lib64gfortran1_4.1.1-16_powerpc.deb
 e16eacd9d761d8038f21b53f17d5c252 95910 libs optional lib64mudflap0_4.1.1-16_powerpc.deb
 e2808e56a686cd883001aa5eb4c00580 402724 libdevel optional libgfortran1-dev_4.1.1-16_i386.deb
 e4dd305d44f5d0fbbf076c2a2c782267 2560946 interpreters standard cpp-4.1_4.1.1-16_powerpc.deb
 e75c472a1f01f51f414fa4b0eeed0dd0 142952 libs optional libobjc1_4.1.1-16_powerpc.deb
 e9dc2fe50c6aa25123a6d93ad807f3f6 4538 libs optional lib64ssp0_4.1.1-16_i386.deb
 ef852c0b74780ac6d71e7eb7219ad9be 39486 devel optional protoize_4.1.1-16_i386.deb
 f1ccdace34589b13826abf217315e905 82856 devel optional fixincludes_4.1.1-16_i386.deb
 f23dad829c264ae2bf7f3e6748246d4d 111602 libs optional libffi4_4.1.1-16_powerpc.deb
 f435848e226968173c8775f288e293bc 912514 libdevel extra libstdc++6-4.1-pic_4.1.1-16_i386.deb
 f6123cebe534fc720dad02b84d7f4699 295164 libs required libstdc++6_4.1.1-16_powerpc.deb
 f834a0265ce6c466d533967ceb38b62a 377308 libdevel optional libgfortran1-dev_4.1.1-16_powerpc.deb
 fc5e987050149f78a500e4af67aaf441 288208 libs required libstdc++6_4.1.1-16_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFFKNU5StlRaw+TLJwRAumEAJ978wyYgkJ1SN3H1Thyi7FyQCXyXwCgxcdh
f0c1nwyrNa3PakEkpZZyW04=
=VDL2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 07:50:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:20:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.